Home

# Class goog.silverlight.ClipboardButton

A button that can access the native clipboard, via Silverlight. If this is not a browser that supports native clipboard access, throw an error. Clients should not instantiate this directly. Instead, use CopyButton or PasteButton.

extends goog.ui.Component

Instance Method Summary
| `createDom()` Creates the button's DOM.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `setSize(?goog.math.Size size)` Silverlight components need absolute sizing. Should be set before the component is rendered.

Static Method Summary
| `hasClipboardAccess() ⇒ boolean`